Sync cmake 2.8.1-2 (main) from Debian unstable (main)

Bug #576681 reported by Artur Rona on 2010-05-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cmake (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync cmake 2.8.1-2 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
Current change is involve to upgrading from jaunty to lucid. Now we have a new development cycle, so change is not necessary. In addition, as I've explained on #kubuntu-devel, delta can be dropped.

Changelog entries since current maverick version 2.8.0-5ubuntu1:

cmake (2.8.1-2) unstable; urgency=low

  * Add kFreeBSD_fixes.diff patch to fix FTBFS on kfreebsd-* (failure of the
    CTestTestTimeout test).

 -- Modestas Vainius <email address hidden> Thu, 18 Mar 2010 01:45:08 +0200

cmake (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA entry from debian/control. No longer needed.
  * Enable building in parallel (--parallel).
  * Update debian/patches:
    - drop bootstraptest_increase_timeout.diff - merged upstream;
    - hurd_platform.diff - adapt to upstream changes.
  * Forcefully set MINGW_CC_LINUX2WIN_EXECUTABLE to empty value. It breaks
    otherwise valid Simple_Mingw_Linux2Win test when ccache is enabled.
  * Update install files.
  * Update Standards-Version to 3.8.4: no changes needed.
  * Change my email address to <email address hidden>.

 -- Modestas Vainius <email address hidden> Wed, 17 Mar 2010 17:51:38 +0200

Benjamin Drung (bdrung) wrote :

This bug was fixed in the package cmake - 2.8.1-2

---------------
cmake (2.8.1-2) unstable; urgency=low

  * Add kFreeBSD_fixes.diff patch to fix FTBFS on kfreebsd-* (failure of the
    CTestTestTimeout test).

cmake (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA entry from debian/control. No longer needed.
  * Enable building in parallel (--parallel).
  * Update debian/patches:
    - drop bootstraptest_increase_timeout.diff - merged upstream;
    - hurd_platform.diff - adapt to upstream changes.
  * Forcefully set MINGW_CC_LINUX2WIN_EXECUTABLE to empty value. It breaks
    otherwise valid Simple_Mingw_Linux2Win test when ccache is enabled.
  * Update install files.
  * Update Standards-Version to 3.8.4: no changes needed.
  * Change my email address to <email address hidden>.
 -- Benjamin Drung <email address hidden> Thu, 18 Mar 2010 01:45:08 +0200

Changed in cmake (Ubuntu):
importance: Undecided → Wishlist
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers